%define name	ripmake
%define version 1.39
%define release %mkrel 2

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	A makefile generator for your ripping tasks
License:	GPL
Group:		Video
URL:		http://www.lallafa.de/bp/ripmake.html
Source0:	http://www.lallafa.de/bp/files/%{name}-%{version}.bz2
Source1:	http://www.lallafa.de/bp/ripmake.html.bz2
Source2:	http://www.lallafa.de/bp/ripmake-intro.html.bz2
Source3:	http://www.lallafa.de/bp/ripmake-inst.html.bz2
Source4:	http://www.lallafa.de/bp/ripmake-man.html.bz2
Source5:	http://www.lallafa.de/bp/ripmake-param.html.bz2
Requires:	pgmfindclip
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
The idea of ripmake is to write a tool which automatically selects the
best parameters for a given ripping task. It should inspect the source
(e.g. a DVD or an AVI file), extract all important information,
calculate the missing parameters and generate a parameter set for
transcode that performs a perfect output file. I known that this is a
hard task but that does not mean we shouldn't try it :)

First I thought of a tool that performs all the necessary steps itself
and calls transcode for the real work. But I soon found out that often a
bit of manual intervention is required to achieve the best results. So a
different approach came to my mind: Why not write a tool that generates
a Makefile for the rip and that embeds all automatic options as
parameters in it. You can then call different rules for different rip
tasks (e.g. render a sample, render first pass...) and you can overwrite
the parameters by redefining the make variables.

So here it is: ripmake - A makefile generator for your ripping tasks.

The first version was quite alpha and simply tried to prove the concept.
The current version is an almost complete rewrite of the first version
but really becomes quite useful.

This package is in PLF because it is related to DVD ripping.

%prep
%setup -T -c
bzcat %{SOURCE0} > %{name}
bzcat %{SOURCE1} > index.html
bzcat %{SOURCE2} > intro.html
bzcat %{SOURCE3} > inst.html
bzcat %{SOURCE4} > man.html
bzcat %{SOURCE5} > param.html

%build

%install
install -d -m 755 %{buildroot}%{_bindir}
install -m 755 %{name} %{buildroot}%{_bindir}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc *.html
%{_bindir}/%{name}

%changelog
* Fri Jan 27 2006 Guillaume Rousse <guillomovitch@zarb.org> 1.39-2plf
- %%mkrel
- spec cleanup

* Sun Nov 28 2004 Guillaume Rousse <guillomovitch@zarb.org> 1.39-1plf
- new version
- documentation
- PLF reason 

* Fri Aug 30 2002 Guillaume Rousse <guillomovitch@plf.zarb.org> 1.27-1plf
- 1.27
- changed url

* Sat Jun 08 2002 Guillaume Rousse <guillomovitch@plf.zarb.org> 1.17-1plf 
- first plf release
